Skip to main content
POST
/
api
/
v1
/
post-history-import
/
{importId}
/
retry
Retry a failed import
curl --request POST \
  --url https://api.bundle.social/api/v1/post-history-import/{importId}/retry \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "teamId": "<string>"
}
'
import requests

url = "https://api.bundle.social/api/v1/post-history-import/{importId}/retry"

payload = { "teamId": "<string>" }
headers = {
    "x-api-key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({teamId: '<string>'})
};

fetch('https://api.bundle.social/api/v1/post-history-import/{importId}/retry', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "<string>",
  "teamId": "<string>",
  "socialAccountId": "<string>",
  "requestedCount": 123,
  "withAnalytics": true,
  "importCarousels": true,
  "postsImported": 123,
  "analyticsImported": 123,
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "error": "<string>",
  "rateLimitResetAt": "2023-11-07T05:31:56Z",
  "startedAt": "2023-11-07T05:31:56Z",
  "completedAt": "2023-11-07T05:31:56Z",
  "deletedAt": "2023-11-07T05:31:56Z"
}
{
  "message": "<string>",
  "statusCode": 123,
  "issues": [
    {
      "message": "<string>",
      "path": [
        "<string>"
      ]
    }
  ]
}
{
  "message": "<string>",
  "statusCode": 123
}
{
  "message": "<string>",
  "statusCode": 123
}
{
  "message": "<string>",
  "statusCode": 123
}
{
  "message": "<string>",
  "statusCode": 123
}
{
  "message": "<string>",
  "statusCode": 123
}

Authorizations

x-api-key
string
header
required

Path Parameters

importId
string
required

Body

application/json

Body

teamId
string
required

Response

200

id
string
required
teamId
string
required
socialAccountId
string
required
requestedCount
number
required
withAnalytics
boolean
required
importCarousels
boolean
required
status
enum<string>
required
Available options:
PENDING,
FETCHING_POSTS,
FETCHING_ANALYTICS,
COMPLETED,
FAILED,
RATE_LIMITED
postsImported
number
required
analyticsImported
number
required
createdAt
string<date-time> | null
required
updatedAt
string<date-time> | null
required
surface
enum<string> | null
Available options:
PROFILE_GRID,
NON_GRID,
STORY,
ALL
mediaType
enum<string> | null
Available options:
VIDEO,
IMAGE
error
string | null
rateLimitResetAt
string<date-time> | null
startedAt
string<date-time> | null
completedAt
string<date-time> | null
deletedAt
string<date-time> | null